Package org.opensaml.saml.saml2.core

# Interface NameIDMappingResponse

All Superinterfaces:
  `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `StatusResponseType`, `XMLObject`

All Known Implementing Classes:
  `NameIDMappingResponseImpl`

public interface NameIDMappingResponse extends StatusResponseType
SAML 2.0 Core NameIDMappingResponse .

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml2.core.StatusResponseType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, IN_RESPONSE_TO_ATTRIB_NAME, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`EncryptedID`
`getEncryptedID()`
Gets the encrypted name identifier of the principal for this response.
`NameID`
`getNameID()`
Gets the name identifier of the principal for this response.
`void`
`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this response.
`void`
`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this response.

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.core.StatusResponseType

`getConsent, getDestination, getExtensions, getID, getInResponseTo, getIssueInstant, getIssuer, getStatus, getVersion, setConsent, setDestination, setExtensions, setID, setInResponseTo, setIssueInstant, setIssuer, setStatus, setVersion`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getNameID

@Nullable NameID getNameID()
Gets the name identifier of the principal for this response.

Returns:
  the name identifier of the principal for this response

### setNameID

void setNameID(@Nullable NameID newNameID)
Sets the name identifier of the principal for this response.

Parameters:
  `newNameID` - the name identifier of the principal for this response

### getEncryptedID

@Nullable EncryptedID getEncryptedID()
Gets the encrypted name identifier of the principal for this response.

Returns:
  the encrypted name identifier of the principal for this response

### setEncryptedID

void setEncryptedID(@Nullable EncryptedID newEncryptedID)
Sets the encrypted name identifier of the principal for this response.

Parameters:
  `newEncryptedID` - the new encrypted name identifier of the principal for this response